मैंने अपनी परियोजना में शामिल किया है:

"import QtQuickQontrols 1.4"

लेकिन अब मुझे स्क्रॉलबार का उपयोग करने की आवश्यकता है, और इसके लिए, मुझे शामिल करने की आवश्यकता है

"import QtQuickControls 2.2"

लेकिन जब मैं संस्करण 2.2 शामिल करता हूं और 1.4 हटाता हूं, तो मेरा प्रोजेक्ट बर्बाद हो जाता है ... मेनूबार, टेबल व्यू त्रुटियों में है! ठीक है, जब मैं इस दोनों संस्करण को शामिल करता हूं तो यह त्रुटियां भी होती हैं! मैंने क्यूमेक चलाया, और मुझे कुछ सलाह दी कि मुझे अपने स्क्रॉलबार को लागू करने के लिए क्या करना चाहिए। मैंने स्क्रॉलव्यू जोड़ने की कोशिश की है, लेकिन इसके अंदर यह काम नहीं करता है:

     ....
      ScrollBar.vertical: ScrollBar {...} ...}
1
Настасья Новиченко 1 नवम्बर 2020, 16:15

1 उत्तर

सबसे बढ़िया उत्तर

यदि आपको 1 और 2 दोनों नियंत्रणों को आयात करने की आवश्यकता है, तो उनके नाम टकराव होंगे। लेकिन आप उनका नाम बदल सकते हैं ताकि वे विरोध न करें:

import QtQuick.Controls 1.4 as QC1
import QtQuick.Controls 2.2 as QC2

QC1.MenuBar {
}

QC2.ScrollBar {
}
5
JarMan 1 नवम्बर 2020, 14:28